Name:       epel-rpm-macros
Version:    5
Release:    7
Summary:    Extra Packages for Enterprise Linux RPM macros

Group:      System Environment/Base
License:    GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:        http://download.fedoraproject.org/pub/epel

# Please see the file itself for an explanation of its odd name.
Source0:    macros.zzz-epel
Source1:    macros.zzz-epel-autosetup
Source2:    macros.zzz-epel-python
Source9:    GPL

# Can't use automatic BuildRoot: yet
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:  noarch
Requires:   epel-release = %{version}

%description
This package contains some RPM macros which minimize the differences in the
packaging process between Fedora and EPEL.

%prep
%setup -c %name-%version -T
install -pm 644 %{SOURCE9} .

%build
%install
# No automatic buildroot cleaning yet
rm -rf %{buildroot}
install -Dpm 644 %{SOURCE0} %{buildroot}/etc/rpm/macros.zzz-epel
install -Dpm 644 %{SOURCE1} %{buildroot}/etc/rpm/macros.zzz-epel-autosetup
install -Dpm 644 %{SOURCE2} %{buildroot}/etc/rpm/macros.zzz-epel-python

# Can't use automatic %%clean yet.
%clean
rm -rf %{buildroot}

%files
# Can't use %%license here yet
%doc GPL
/etc/rpm/macros.zzz-epel
/etc/rpm/macros.zzz-epel-autosetup
/etc/rpm/macros.zzz-epel-python

%changelog
* Thu Sep 08 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-7
- Fix %%clean magic so that it doesn't break %%__spec_install_post.

* Thu Aug 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-6
- Add %%make_build and %%make_install.
- Add %%bash_completion_dir.

* Wed Aug 10 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-5
- Oops, remove some mess that was supposed to make vim happier but which
  instead broke everything.

* Tue Aug 09 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-4
- Add %%python macros pulled back from EPEL6.  EL5 doesn't define anything
  other than %%__python.

* Fri Apr 01 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-3
- Add %%autosetup. (!)

* Wed Mar 30 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-2
- Add %%epel.
- Add %%rpmmacrodir.
- Add pointless %%build to quiet rpmlint.

* Wed Jan 20 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 5-1
- Initial version for EL5, merged from the EL6 package.
